Subject: Re: [PATCH] Change 'Deltifying objects' to 'Delta compressing objects'

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 19 Oct 2007 01:09:40 -0400

Nicolas Pitre <[email-masked]> wrote:
> On Thu, 18 Oct 2007, Jeff King wrote:
> > Also, why do we abbreviate "refs/heads/master" from the remote, but we
> > don't abbreviate refs/heads/origin for the local? Maybe something like:
> > 
> >   * local heads/origin -> remote heads/master (fast forward)
> > 
> > or for separate remote
> > 
> >   * local remotes/origin/master -> remote heads/master (fast forward)
> 
> That looks fine for a push.  I'd say "remote foo -> local bar" for a 
> fetch.

The fetch side is easy to change on top of the db/fetch-pack series
that is currently in next.

What's hard is the remote side.  receive-pack on the remote side
doesn't have the local's refname but it prints its own message upon
a successful update.

-- 
Shawn.